"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.accounts = {
    getAccounts: {
        url: "private/accounts",
        method: "get" /* GET */
    },
    getAccountsFull: {
        url: "accounts",
        method: "get" /* GET */
    },
    getAccountsPolicy: { url: function (account_id) { return "accounts/" + account_id + "/policy"; }, method: "get" /* GET */ },
    createAccount: {
        url: "accounts",
        method: "post" /* POST */
    }
};
var AccountsEndPointsTypes;
(function (AccountsEndPointsTypes) {
    AccountsEndPointsTypes["getAccounts"] = "getAccounts";
    AccountsEndPointsTypes["getAccountsFull"] = "getAccountsFull";
    AccountsEndPointsTypes["getAccountsPolicy"] = "getAccountsPolicy";
    AccountsEndPointsTypes["createAccount"] = "createAccount";
})(AccountsEndPointsTypes = exports.AccountsEndPointsTypes || (exports.AccountsEndPointsTypes = {}));
exports.AccountsEndPointsNames = AccountsEndPointsTypes;
//# sourceMappingURL=accounts-endpoints.js.map