import { HttpMethod } from '../enums/http-method';
export declare const agents: {
    getAgents: {
        url: string;
        method: HttpMethod;
    };
    getApplications: {
        url: string;
        method: HttpMethod;
    };
    getProcesses: {
        url: string;
        method: HttpMethod;
    };
    getPassphrases: {
        url: string;
        method: HttpMethod;
    };
    countAgents: {
        url: string;
        method: HttpMethod;
    };
    countAgentsByFilters: {
        url: string;
        method: HttpMethod;
    };
    agentCountSummery: {
        url: string;
        method: HttpMethod;
    };
    exportLogs: {
        url: (agentId: string, activityId: string) => string;
        method: HttpMethod;
    };
};
export declare enum AgentsEndPointsTypes {
    getAgents = "getAgents",
    getApplications = "getApplications",
    getProcesses = "getProcesses",
    getPassphrases = "getPassphrases",
    countAgents = "countAgents",
    countAgentsByFilters = "countAgentsByFilters",
    agentCountSummery = "agentCountSummery",
    exportLogs = "exportLogs"
}
export declare const AgentsEndPointsName: typeof AgentsEndPointsTypes;
