"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agents = {
    getAgents: { url: "agents", method: "get" /* GET */ },
    getApplications: { url: "agents/applications", method: "get" /* GET */ },
    getProcesses: { url: "agents/processes", method: "get" /* GET */ },
    getPassphrases: { url: "agents/passphrases", method: "get" /* GET */ },
    countAgents: { url: "agents/count", method: "get" /* GET */ },
    countAgentsByFilters: { url: "private/agents/filters-count", method: "get" /* GET */ },
    agentCountSummery: { url: "private/agents/summary", method: "get" /* GET */ },
    exportLogs: {
        url: function (agentId, activityId) { return "agents/" + agentId + "/uploads/" + activityId; },
        method: "get" /* GET */
    }
};
var AgentsEndPointsTypes;
(function (AgentsEndPointsTypes) {
    AgentsEndPointsTypes["getAgents"] = "getAgents";
    AgentsEndPointsTypes["getApplications"] = "getApplications";
    AgentsEndPointsTypes["getProcesses"] = "getProcesses";
    AgentsEndPointsTypes["getPassphrases"] = "getPassphrases";
    AgentsEndPointsTypes["countAgents"] = "countAgents";
    AgentsEndPointsTypes["countAgentsByFilters"] = "countAgentsByFilters";
    AgentsEndPointsTypes["agentCountSummery"] = "agentCountSummery";
    AgentsEndPointsTypes["exportLogs"] = "exportLogs";
})(AgentsEndPointsTypes = exports.AgentsEndPointsTypes || (exports.AgentsEndPointsTypes = {}));
exports.AgentsEndPointsName = AgentsEndPointsTypes;
//# sourceMappingURL=agents-endpoints.js.map