"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.applicationsRisk = {
    getApplicationsList: { url: 'installed-applications', method: "get" /* GET */ },
    getApplicationsRiskLevels: { url: 'private/installed-applications/risk-levels-count', method: "get" /* GET */ },
    getApplicationCVE: {
        url: function (applicationAgentId) { return '/private/installed-applications/' + applicationAgentId + '/cves'; },
        method: "get" /* GET */
    }
};
var applicationsRiskEndPointsTypes;
(function (applicationsRiskEndPointsTypes) {
    applicationsRiskEndPointsTypes["getApplicationsList"] = "getApplicationsList";
    applicationsRiskEndPointsTypes["getApplicationsRiskLevels"] = "getApplicationsRiskLevels";
    applicationsRiskEndPointsTypes["getApplicationCVE"] = "getApplicationCVE";
})(applicationsRiskEndPointsTypes = exports.applicationsRiskEndPointsTypes || (exports.applicationsRiskEndPointsTypes = {}));
exports.ApplicationsRiskEndPointsNames = applicationsRiskEndPointsTypes;
//# sourceMappingURL=applications-risk-endpoints.js.map