import { HttpMethod } from '../enums/http-method';
export declare const authenticator: {
    authBySso: {
        url: string;
        method: HttpMethod;
    };
    loginByToken: {
        url: string;
        method: HttpMethod;
    };
    loginByApiToken: {
        url: string;
        method: HttpMethod;
    };
    loginByRecoveryCode: {
        url: string;
        method: HttpMethod;
    };
    authWithApp: {
        url: string;
        method: HttpMethod;
    };
    login: {
        url: string;
        method: HttpMethod;
    };
    logout: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum AuthenticatorEndPointTypes {
    authBySso = "authBySso",
    loginByToken = "loginByToken",
    loginByApiToken = "loginByApiToken",
    loginByRecoveryCode = "loginByRecoveryCode",
    authWithApp = "authWithApp",
    login = "login",
    logout = "logout"
}
export declare const AuthenticatorEndPointNames: typeof AuthenticatorEndPointTypes;
