"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.authenticator = {
    authBySso: {
        url: "users/login/sso-saml2/",
        method: "post" /* POST */
    },
    loginByToken: {
        url: "users/login/by-token",
        method: "get" /* GET */
    },
    loginByApiToken: {
        url: "users/login/by-api-token",
        method: "post" /* POST */
    },
    loginByRecoveryCode: {
        url: "users/auth/recovery-code",
        method: "post" /* POST */
    },
    authWithApp: {
        url: "users/auth/app",
        method: "post" /* POST */
    },
    login: {
        url: "users/login",
        method: "post" /* POST */
    },
    logout: {
        url: "users/logout",
        method: "post" /* POST */
    }
};
var AuthenticatorEndPointTypes;
(function (AuthenticatorEndPointTypes) {
    AuthenticatorEndPointTypes["authBySso"] = "authBySso";
    AuthenticatorEndPointTypes["loginByToken"] = "loginByToken";
    AuthenticatorEndPointTypes["loginByApiToken"] = "loginByApiToken";
    AuthenticatorEndPointTypes["loginByRecoveryCode"] = "loginByRecoveryCode";
    AuthenticatorEndPointTypes["authWithApp"] = "authWithApp";
    AuthenticatorEndPointTypes["login"] = "login";
    AuthenticatorEndPointTypes["logout"] = "logout";
})(AuthenticatorEndPointTypes = exports.AuthenticatorEndPointTypes || (exports.AuthenticatorEndPointTypes = {}));
exports.AuthenticatorEndPointNames = AuthenticatorEndPointTypes;
//# sourceMappingURL=authenticator-endpoints.js.map