import { HttpMethod } from './../enums/http-method';
export declare const configOverride: {
    getConfigOverRrides: {
        url: string;
        method: HttpMethod;
    };
    createConfigOverRrides: {
        url: string;
        method: HttpMethod;
    };
    deleteConfigOverRide: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    updateConfigOverRide: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
};
export declare enum ConfigEndPointsTypes {
    getConfigOverRrides = "getConfigOverRrides",
    deleteConfigOverRide = "deleteConfigOverRide",
    updateConfigOverRide = "updateConfigOverRide",
    createConfigOverRrides = "createConfigOverRrides"
}
export declare const ConfigOverrideEndPointsNames: typeof ConfigEndPointsTypes;
