"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configOverride = {
    getConfigOverRrides: { url: 'config-override', method: "get" /* GET */ },
    createConfigOverRrides: { url: 'config-override', method: "post" /* POST */ },
    deleteConfigOverRide: { url: function (payloadQuery) { return "config-override/" + payloadQuery; }, method: "delete" /* DELETE */ },
    updateConfigOverRide: { url: function (payloadQuery) { return "config-override/" + payloadQuery; }, method: "put" /* PUT */ }
};
var ConfigEndPointsTypes;
(function (ConfigEndPointsTypes) {
    ConfigEndPointsTypes["getConfigOverRrides"] = "getConfigOverRrides";
    ConfigEndPointsTypes["deleteConfigOverRide"] = "deleteConfigOverRide";
    ConfigEndPointsTypes["updateConfigOverRide"] = "updateConfigOverRide";
    ConfigEndPointsTypes["createConfigOverRrides"] = "createConfigOverRrides";
})(ConfigEndPointsTypes = exports.ConfigEndPointsTypes || (exports.ConfigEndPointsTypes = {}));
exports.ConfigOverrideEndPointsNames = ConfigEndPointsTypes;
//# sourceMappingURL=config-override.js.map