"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.customDetectionRules = {
    createRule: { url: 'cloud-detection/rules', method: "post" /* POST */ },
    deleteRule: { url: 'cloud-detection/rules', method: "delete" /* DELETE */ },
    getRules: { url: 'cloud-detection/rules?limit=100', method: "get" /* GET */ },
    updateRule: { url: function (ruleId) { return "cloud-detection/rules/" + ruleId; }, method: "put" /* PUT */ }
};
var customDetectionRulesEndPointsTypes;
(function (customDetectionRulesEndPointsTypes) {
    customDetectionRulesEndPointsTypes["updateRule"] = "updateRule";
    customDetectionRulesEndPointsTypes["createRule"] = "createRule";
    customDetectionRulesEndPointsTypes["deleteRule"] = "deleteRule";
    customDetectionRulesEndPointsTypes["getRules"] = "getRules";
})(customDetectionRulesEndPointsTypes = exports.customDetectionRulesEndPointsTypes || (exports.customDetectionRulesEndPointsTypes = {}));
exports.customDetectionRulesEndPointsNames = customDetectionRulesEndPointsTypes;
//# sourceMappingURL=custom-detection-rules-endpoints.js.map