"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepVisibility = {
    getEventSeenOnNetwork: { url: function () { return "ioc/events/process/seen-on-network"; }, method: "get" /* GET */ },
    getProcessByUniqueKey: { url: "ioc/process-unique-key", method: "get" /* GET */ },
    getEvents: { url: "ioc/events", method: "get" /* GET */ },
    getAgentsBreakdown: { url: "ioc/agents", method: "get" /* GET */ },
    getProcessByAgent: { url: function (payloadQuery) { return "ioc/events/process/" + payloadQuery; }, method: "get" /* GET */ },
    getAgentSeenOnNetwork: {
        url: function (payloadQuery) { return "ioc/agents/" + payloadQuery + "/seen-on-network"; },
        method: "get" /* GET */
    },
    getEventsByProcess: { url: function (payloadQuery) { return "ioc/events/" + payloadQuery; }, method: "get" /* GET */ },
    getAgentsDrillDown: { url: function (payloadQuery) { return "ioc/agents/" + payloadQuery; }, method: "get" /* GET */ },
    getEventsFiltered: { url: function (projection) { return "ioc/" + projection; }, method: "get" /* GET */ }
};
var DeepVisibilityEndpointsTypes;
(function (DeepVisibilityEndpointsTypes) {
    DeepVisibilityEndpointsTypes["getEventSeenOnNetwork"] = "getEventSeenOnNetwork";
    DeepVisibilityEndpointsTypes["getProcessByUniqueKey"] = "getProcessByUniqueKey";
    DeepVisibilityEndpointsTypes["getEvents"] = "getEvents";
    DeepVisibilityEndpointsTypes["getAgentsBreakdown"] = "getAgentsBreakdown";
    DeepVisibilityEndpointsTypes["getProcessByAgent"] = "getProcessByAgent";
    DeepVisibilityEndpointsTypes["getAgentSeenOnNetwork"] = "getAgentSeenOnNetwork";
    DeepVisibilityEndpointsTypes["getEventsByProcess"] = "getEventsByProcess";
    DeepVisibilityEndpointsTypes["getAgentsDrillDown"] = "getAgentsDrillDown";
})(DeepVisibilityEndpointsTypes = exports.DeepVisibilityEndpointsTypes || (exports.DeepVisibilityEndpointsTypes = {}));
exports.DeepVisibilityEndpointsNames = DeepVisibilityEndpointsTypes;
//# sourceMappingURL=deep-visibility-endpoints.js.map