"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deepVisibilityV2 = {
    dvV2GetEventsByType: { url: function (eventType) { return "dv/events/" + eventType; }, method: "get" /* GET */ },
    dvV2GetAvailableActions: { url: 'dv/available-actions', method: "get" /* GET */ },
    dvV2CancelRunningQuery: { url: "dv/cancel-query", method: "post" /* POST */ },
    dvV2GetEventTypes: { url: "dv/count-by-type", method: "get" /* GET */ },
    dvV2GetAllEvents: { url: "dv/events", method: "get" /* GET */ },
    dvV2GetDistinctFieldsData: { url: "dv/distinct-fields-data", method: "get" /* GET */ },
    dvV2GetRecentQueries: { url: "dv/queries", method: "get" /* GET */ },
    dvV2GetQueryStatus: { url: "dv/query-status", method: "get" /* GET */ },
    dvV2CreateQuery: { url: "dv/init-query", method: "post" /* POST */ },
    dvV2CountByType: { url: "dv/count-by-type", method: "get" /* GET */ }
};
var DeepVisibilityV2EndPointsTypes;
(function (DeepVisibilityV2EndPointsTypes) {
    DeepVisibilityV2EndPointsTypes["dvV2GetEventsByType"] = "dvV2GetEventsByType";
    DeepVisibilityV2EndPointsTypes["dvV2CancelRunningQuery"] = "dvV2CancelRunningQuery";
    DeepVisibilityV2EndPointsTypes["dvV2GetEventTypes"] = "dvV2GetEventTypes";
    DeepVisibilityV2EndPointsTypes["dvV2GetAllEvents"] = "dvV2GetAllEvents";
    DeepVisibilityV2EndPointsTypes["dvV2GetDistinctFieldsData"] = "dvV2GetDistinctFieldsData";
    DeepVisibilityV2EndPointsTypes["dvV2GetRecentQueries"] = "dvV2GetRecentQueries";
    DeepVisibilityV2EndPointsTypes["dvV2GetQueryStatus"] = "dvV2GetQueryStatus";
    DeepVisibilityV2EndPointsTypes["dvV2CreateQuery"] = "dvV2CreateQuery";
    DeepVisibilityV2EndPointsTypes["dvV2CountByType"] = "dvV2CountByType";
})(DeepVisibilityV2EndPointsTypes = exports.DeepVisibilityV2EndPointsTypes || (exports.DeepVisibilityV2EndPointsTypes = {}));
exports.DeepVisibilityV2EndPointsNames = DeepVisibilityV2EndPointsTypes;
//# sourceMappingURL=deep-visibility-v2.js.map