import { HttpMethod } from '../enums/http-method';
export declare const fireWallControl: {
    getFirewallRules: {
        url: string;
        method: HttpMethod;
    };
    createFirewallRule: {
        url: string;
        method: HttpMethod;
    };
    createNetworkQuarantineRule: {
        url: string;
        method: HttpMethod;
    };
    createTag: {
        url: string;
        method: HttpMethod;
    };
    updateFirewallRule: {
        url: (rulId: any) => string;
    };
    countByFilters: {
        url: string;
        method: HttpMethod;
    };
    getUnscopedRules: {
        url: string;
        method: HttpMethod;
    };
    getConfiguration: {
        url: string;
        method: HttpMethod;
    };
    updateConfiguration: {
        url: string;
        method: HttpMethod;
    };
    copyRules: {
        url: string;
        method: HttpMethod;
    };
    moveRules: {
        url: string;
        method: HttpMethod;
    };
    getProtocols: {
        url: string;
        method: HttpMethod;
    };
    reorderRules: {
        url: string;
        method: HttpMethod;
    };
    exportRules: {
        url: string;
        method: HttpMethod;
    };
    importRules: {
        url: string;
        method: HttpMethod;
    };
    enableDisableRules: {
        url: string;
        method: HttpMethod;
    };
    deleteRules: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum fireWallControlEndPointsTypes {
    getFirewallRules = "getFirewallRules",
    updateFirewallRule = "updateFirewallRule",
    getUnscopedRules = "getUnscopedRules",
    updateConfiguration = "updateConfiguration",
    moveRules = "moveRules",
    reorderRules = "reorderRules",
    importRules = "importRules",
    createFirewallRule = "createFirewallRule",
    createNetworkQuarantineRule = "createNetworkQuarantineRule",
    createTag = "createTag",
    countByFilters = "countByFilters",
    getConfiguration = "getConfiguration",
    copyRules = "copyRules",
    getProtocols = "getProtocols",
    exportRules = "exportRules",
    enableDisableRules = "enableDisableRules",
    deleteRules = "deleteRules"
}
export declare const fireWallControlEndPointsNames: typeof fireWallControlEndPointsTypes;
