import { HttpMethod } from './../enums/http-method';
import { ExportFormatsTypes } from '../entities/forensic/enums/export-format.enum';
export declare const forensics: {
    getThreatForensicDetails: {
        url: (threat_id: string) => string;
        method: HttpMethod;
    };
    getApplicationForensicDetails: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getThreatForensics: {
        url: (threat_id: string) => string;
        method: HttpMethod;
    };
    getApplicationForensics: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getThreatConnections: {
        url: (threat_id: string) => string;
        method: HttpMethod;
    };
    getApplicationConnections: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getThreatSeenOnNetwork: {
        url: (threat_id: string) => string;
        method: HttpMethod;
    };
    exportThreat: {
        url: (threat_id: string, export_format: ExportFormatsTypes) => string;
        method: HttpMethod;
    };
    exportApplication: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
};
export declare enum ForensicsEndpointsTypes {
    getThreatForensicDetails = "getThreatForensicDetails",
    getApplicationForensicDetails = "getApplicationForensicDetails",
    getThreatForensics = "getThreatForensics",
    getApplicationForensics = "getApplicationForensics",
    getThreatConnections = "getThreatConnections",
    getApplicationConnections = "getApplicationForensics",
    getThreatSeenOnNetwork = "getThreatSeenOnNetwork",
    exportThreat = "exportThreat",
    exportApplication = "exportApplication"
}
export declare const ForensicsEndpointsNames: typeof ForensicsEndpointsTypes;
