import { HttpMethod } from '../enums/http-method';
export declare const groups: {
    getGroups: {
        url: string;
        method: HttpMethod;
    };
    getGroupsById: {
        url: (payloadQuery: any) => string;
        method: HttpMethod;
    };
    getDefaultGroups: {
        url: string;
        method: HttpMethod;
    };
    countGroups: {
        url: string;
        method: HttpMethod;
    };
    updateGroups: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    updateRanks: {
        url: string;
        method: HttpMethod;
    };
    moveAgents: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    createGroups: {
        url: string;
        method: HttpMethod;
    };
    deleteGroups: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    revertGroupsPolicy: {
        url: (group_id: string) => string;
        method: HttpMethod;
    };
};
export declare enum GroupsEndPointsTypes {
    getGroups = "getGroups",
    getGroupsById = "getGroupsById",
    getDefaultGroups = "getDefaultGroups",
    countGroups = "countGroups",
    updateGroups = "updateGroups",
    updateRanks = "updateRanks",
    moveAgents = "moveAgents",
    createGroups = "createGroups",
    deleteGroups = "deleteGroups",
    revertGroupsPolicy = "revertGroupsPolicy"
}
export declare const GroupsEndPointsNames: typeof GroupsEndPointsTypes;
