import { HttpMethod } from '../enums/http-method';
export declare const policy: {
    getPolicy: {
        url: string;
        method: HttpMethod;
    };
    getGlobalPolicy: {
        url: string;
        method: HttpMethod;
    };
    updateTenantPolicy: {
        url: string;
        method: HttpMethod;
    };
    getGroupPolicy: {
        url: (group_id: string) => string;
        method: HttpMethod;
    };
    updateSitePolicy: {
        url: (site_id: any) => string;
        method: HttpMethod;
    };
    updateGroupPolicy: {
        url: (group_id: any) => string;
        method: HttpMethod;
    };
};
export declare enum PolicyEndPointsTypes {
    getPolicy = "getPolicy",
    getGlobalPolicy = "getGlobalPolicy",
    getGroupPolicy = "getGroupPolicy",
    updateSitePolicy = "updateSitePolicy",
    updateTenantPolicy = "updateTenantPolicy",
    updateGroupPolicy = "updateGroupPolicy"
}
export declare const PolicyEndPointsNames: typeof PolicyEndPointsTypes;
