"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.policy = {
    getPolicy: { url: "private/policy", method: "get" /* GET */ },
    getGlobalPolicy: { url: "tenant/policy", method: "get" /* GET */ },
    updateTenantPolicy: { url: "tenant/policy", method: "put" /* PUT */ },
    getGroupPolicy: { url: function (group_id) { return "groups/" + group_id + "/policy"; }, method: "get" /* GET */ },
    updateSitePolicy: { url: function (site_id) { return "sites/" + site_id + "/policy"; }, method: "put" /* PUT */ },
    updateGroupPolicy: { url: function (group_id) { return "groups/" + group_id + "/policy"; }, method: "put" /* PUT */ }
};
var PolicyEndPointsTypes;
(function (PolicyEndPointsTypes) {
    PolicyEndPointsTypes["getPolicy"] = "getPolicy";
    PolicyEndPointsTypes["getGlobalPolicy"] = "getGlobalPolicy";
    PolicyEndPointsTypes["getGroupPolicy"] = "getGroupPolicy";
    PolicyEndPointsTypes["updateSitePolicy"] = "updateSitePolicy";
    PolicyEndPointsTypes["updateTenantPolicy"] = "updateTenantPolicy";
    PolicyEndPointsTypes["updateGroupPolicy"] = "updateGroupPolicy";
})(PolicyEndPointsTypes = exports.PolicyEndPointsTypes || (exports.PolicyEndPointsTypes = {}));
exports.PolicyEndPointsNames = PolicyEndPointsTypes;
//# sourceMappingURL=policy-endpoints.js.map