import { HttpMethod } from '../enums/http-method';
export declare const rbac: {
    createRole: {
        url: string;
        method: HttpMethod;
    };
    deleteRole: {
        url: string;
        method: HttpMethod;
    };
    updateRole: {
        url: (role_id: any) => string;
        method: HttpMethod;
    };
    getRoles: {
        url: string;
        method: HttpMethod;
    };
    getRoleTemplate: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum rbacEndPointsType {
    createRole = "createRole",
    deleteRole = "deleteRole",
    updateRole = "updateRole",
    getRoles = "getRoles",
    getRoleTemplate = "getRoleTemplate"
}
export declare const RBACEndPointsNames: typeof rbacEndPointsType;
