"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.rbac = {
    createRole: { url: "rbac/role", method: "post" /* POST */ },
    deleteRole: { url: "rbac/role", method: "delete" /* DELETE */ },
    updateRole: { url: function (role_id) { return "rbac/role/" + role_id; }, method: "put" /* PUT */ },
    getRoles: { url: "rbac/roles", method: "get" /* GET */ },
    getRoleTemplate: { url: "rbac/role", method: "get" /* GET */ }
};
var rbacEndPointsType;
(function (rbacEndPointsType) {
    rbacEndPointsType["createRole"] = "createRole";
    rbacEndPointsType["deleteRole"] = "deleteRole";
    rbacEndPointsType["updateRole"] = "updateRole";
    rbacEndPointsType["getRoles"] = "getRoles";
    rbacEndPointsType["getRoleTemplate"] = "getRoleTemplate";
})(rbacEndPointsType = exports.rbacEndPointsType || (exports.rbacEndPointsType = {}));
exports.RBACEndPointsNames = rbacEndPointsType;
//# sourceMappingURL=rbac-endpoints.js.map