import { HttpMethod } from '../enums/http-method';
export declare const reports: {
    getReports: {
        url: string;
        method: HttpMethod;
    };
    getReportsTask: {
        url: string;
        method: HttpMethod;
    };
    getInsightType: {
        url: string;
        method: HttpMethod;
    };
    getRssFeed: {
        url: string;
        method: HttpMethod;
    };
    deleteReports: {
        url: string;
        method: HttpMethod;
    };
    deleteReportsTask: {
        url: string;
        method: HttpMethod;
    };
    updateReportTask: {
        url: (task_id: string) => string;
        method: HttpMethod;
    };
    createReportTasks: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum ReportsEndPointsTypes {
    getReports = "getReports",
    getReportsTask = "getReportsTask",
    getInsightType = "getInsightType",
    getRssFeed = "getRssFeed",
    deleteReports = "deleteReports",
    deleteReportsTask = "deleteReportsTask",
    updateReportTask = "updateReportTask",
    createReportTasks = "createReportTasks"
}
export declare const ReportsEndPointsNames: typeof ReportsEndPointsTypes;
