import { HttpMethod } from './../enums/http-method';
export declare const sites: {
    getSites: {
        url: string;
        method: HttpMethod;
    };
    getSiteById: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getSitePolicy: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    expireSite: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    createSite: {
        url: string;
        method: HttpMethod;
    };
    regenerateSiteKey: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    createWithAdmin: {
        url: string;
        method: HttpMethod;
    };
    revertSitePolicy: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    updateSite: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    updateSitePolicy: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    reactivateSite: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    deleteSite: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
};
export declare enum SitesEndPointTypes {
    getSites = "getSites",
    getSiteById = "getSiteById",
    getSitePolicy = "getSitePolicy",
    expireSite = "expireSite",
    createSite = "createSite",
    regenerateSiteKey = "regenerateSiteKey",
    createWithAdmin = "createWithAdmin",
    revertSitePolicy = "revertSitePolicy",
    updateSite = "updateSite",
    updateSitePolicy = "updateSitePolicy",
    reactivateSite = "reactivateSite",
    deleteSite = "deleteSite"
}
export declare const SitesEndPointsNames: typeof SitesEndPointTypes;
