import { HttpMethod } from '../enums/http-method';
export declare const tags: {
    getTags: {
        url: string;
        method: HttpMethod;
    };
    createTag: {
        url: string;
        method: HttpMethod;
    };
    updateTag: {
        url: (tagId: any) => string;
    };
    deleteTagById: {
        url: string;
        method: HttpMethod;
    };
    deleteTags: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum tagsEndPointsTypes {
    getTags = "getTags",
    updateTag = "updateTag",
    createTag = "createTag",
    deleteTags = "deleteTags",
    deleteTagById = "deleteTagById"
}
export declare const tagsEndPointsNames: typeof tagsEndPointsTypes;
