import { HttpMethod } from '../enums/http-method';
export declare const updates: {
    downloadPackage: {
        url: (site_id: string, package_id: string) => string;
        method: HttpMethod;
    };
    downloadAgentPackage: {
        url: (package_id: string) => string;
        method: HttpMethod;
    };
    latestPackages: {
        url: string;
        method: HttpMethod;
    };
    deletePackages: {
        url: string;
        method: HttpMethod;
    };
    updatePackages: {
        url: (package_id: string) => string;
        method: HttpMethod;
    };
    uploadPackage: {
        url: string;
        method: HttpMethod;
    };
    deployPackage: {
        url: string;
        method: HttpMethod;
    };
    uploadAgentPackage: {
        url: string;
        method: HttpMethod;
    };
};
export declare const updatesEndPointsType: {
    downloadPackage: string;
    downloadAgentPackage: string;
    latestPackages: string;
    deletePackages: string;
    updatePackages: string;
    uploadPackage: string;
    deployPackage: string;
    uploadAgentPackage: string;
};
export declare const UpdatesEndPointsName: {
    downloadPackage: string;
    downloadAgentPackage: string;
    latestPackages: string;
    deletePackages: string;
    updatePackages: string;
    uploadPackage: string;
    deployPackage: string;
    uploadAgentPackage: string;
};
