export declare enum UserEndPointsType {
    userInfo = "userInfo",
    checkTenantAdmin = "checkTenantAdmin",
    userByToken = "userByToken",
    getUserById = "getUserById",
    requestTwoFaApp = "requestTwoFaApp",
    generateRecoveryCode = "generateRecoveryCode",
    generateIframeToken = "generateIframeToken",
    generateApiToken = "generateApiToken",
    createUsers = "createUsers",
    deleteUser = "deleteUser",
    updateUser = "updateUser",
    disableToFa = "disableToFa",
    enableTwoFa = "enableTwoFa",
    revokeApiToken = "revokeApiToken",
    changePassword = "changePassword",
    singInWithEula = "singInWithEula",
    verifyEmail = "verifyEmail",
    verifyCode = "verifyCode",
    checkViewerAuth = "checkViewerAuth",
    enableTwoFaApp = "enableTwoFaApp",
    apiTokenDetails = "apiTokenDetails",
    getUsers = "getUsers",
    enroll2fa = "enroll2fa",
    resetPasswordOnNextLogin = "resetPasswordOnNextLogin"
}
declare type UserEndPointsTypeKeys = keyof typeof UserEndPointsType;
export declare const users: Record<UserEndPointsTypeKeys, any>;
export declare const UsersEndPointsNames: typeof UserEndPointsType;
export {};
