import { EntityBaseClass } from '../entity-base-class';
import { ApiCall } from '../../services/api-call';
import { SDKRespond } from '../../services/modal/sdk-respond-interface';
import { CredGroupDetailsRequest, GetCredGroupDetailsRequest } from './modal/cred-group-details.interface';
export declare class CredGroupDetails extends EntityBaseClass {
    constructor(apiCall: ApiCall);
    get(data: Partial<GetCredGroupDetailsRequest>): Promise<SDKRespond>;
    create(data: CredGroupDetailsRequest): Promise<SDKRespond>;
    delete(groupDetailsId: string): Promise<SDKRespond>;
}
