import { EntityBaseClass } from '../entity-base-class';
import { ApiCall } from '../../services/api-call';
import { SDKRespond } from '../../services/modal/sdk-respond-interface';
import { CredGroupRequest, GetCredGroupRequest } from './modal/cred-groups.interface';
export declare class CredGroup extends EntityBaseClass {
    constructor(apiCall: ApiCall);
    get(data: Partial<GetCredGroupRequest>): Promise<SDKRespond>;
    create(data: CredGroupRequest): Promise<SDKRespond>;
    delete(credGroupId: string): Promise<SDKRespond>;
}
