import { BaseCreateFilter } from '../../../model/base-creation-filter.interface';
import { BaseScope } from '../../../model/scope-get.interface';
import { SortBy } from '../../group/modal/site-defualt-group-request.interface';
import { SortOrder } from '../../../enums/sort-order-types';
import { OsTypes } from '../../../enums/os-types';
export interface ConfigOverRideRequest extends BaseCreateFilter, BaseScope {
    cursor?: string;
    skipCount?: boolean;
    skip?: number;
    name__like?: string;
    countOnly?: boolean;
    sortBy?: SortBy;
    agentsVersions?: string[];
    osTypes?: OsTypes[];
    sortOrder?: SortOrder;
    limit?: number;
    selectedItems?: any[];
    description__like?: string;
    agentIds?: string[];
    query?: string;
    tenant?: boolean;
}
