import { EntityBaseClass } from '../entity-base-class';
import { ApiCall } from '../../services/api-call';
import { BaseScope } from '../../model/scope-get.interface';
import { SDKRespond } from '../../services/modal/sdk-respond-interface';
import { CustomDetectionRulesRequest, DeleteRulesRequest } from './modal/custom-detection-rules.interface';
export declare class CustomDetectionRules extends EntityBaseClass {
    constructor(apiCall: ApiCall);
    get(): Promise<SDKRespond>;
    create(data?: CustomDetectionRulesRequest, filter?: Partial<BaseScope>): Promise<SDKRespond>;
    delete(filter: DeleteRulesRequest, data?: object): Promise<SDKRespond>;
    update(ruleId: string, data?: CustomDetectionRulesRequest, filter?: Partial<BaseScope>): Promise<SDKRespond>;
}
