import { BaseGetQueryParams } from '../../../model/base-get.interface';
import { ExclusionTypes } from '../enums/exclusion-types';
import { OsTypes } from '../../../enums/os-types';
export interface ExclusionsWhiteItemGetRequest extends BaseGetQueryParams {
    siteIds?: string[];
    groupIds?: string[];
    skipCount?: boolean;
    unified?: boolean;
    type?: ExclusionTypes;
    ids?: string[];
    osTypes?: OsTypes;
    value?: string;
    tenant?: boolean;
    userIds?: string[];
    limit?: number;
}
