import { ApiCall } from '../../services/api-call';
import { EntityBaseClass } from '../entity-base-class';
import { ForensicThreat } from './threats/forensic-threats.class';
import { ForensicApplictions } from './applictions/forensic-applictions.class';
import { ForensicGetRespond } from './modal/forensic-get-respond.interface';
/**
 * Forensic
 *
 * @export
 * @class Forensic
 * @extends {EntityBaseClass}
 */
export declare class Forensic extends EntityBaseClass {
    private apiCall;
    forensicThreats: ForensicThreat;
    forensicApplictions: ForensicApplictions;
    constructor(apiCall: ApiCall);
    /**
     * Get
     *
     * @param {(string | null)} [threatId]
     * @param {(string | null)} [applictionId]
     * @returns {Promise<ForensicGetRespond>}
     *
     * @memberOf Forensic
     */
    get(threatId?: string | null, applictionId?: string | null): Promise<ForensicGetRespond>;
}
