import { PolicyIocAttributes } from '../../user/modal/policy-ioc-attributes';
import { PolicyEngiens } from './policy-engines.interface';
import { MitigationModeSuspicious } from '../../../enums/mitigation-mode-suspicious-types';
export interface PolicyDataRequest {
    networkQuarantineOn?: boolean;
    agentLoggingOn?: boolean;
    researchOn?: boolean;
    agentUiOn?: boolean;
    agentNotification?: boolean;
    antiTamperingOn?: boolean;
    userId?: string;
    updatedAt?: string;
    monitorOnWrite?: any;
    createdAt?: string;
    ioc?: boolean;
    engines?: PolicyEngiens;
    iocAttributes?: PolicyIocAttributes;
    autoDecommissionOn?: boolean;
    snapshotsOn?: boolean;
    scanNewAgents?: boolean;
    userFullName?: string;
    monitorOnExecute?: boolean;
    autoDecommissionDays?: number;
    inheritedFrom?: string;
    cloudValidationOn?: boolean;
    autoMitigationAction?: string;
    autoImmuneOn?: boolean;
    mitigationMode?: MitigationModeSuspicious;
    iocSupported?: boolean;
    mitigationModeSuspicious?: MitigationModeSuspicious;
    isDefault?: boolean;
}
