import { BaseCreateFilter } from '../../../model/base-creation-filter.interface';
import { FrequencyTypes } from '../enums/frequency-types';
import { ScopeTypes } from '../../../enums/scop-types';
export interface DeleteReportsRequest extends BaseCreateFilter {
    toDate?: string;
    siteIds?: string[];
    name?: string;
    interval?: string;
    ids?: string[];
    fromDate?: string;
    groupIds?: string[];
    scope?: ScopeTypes;
    query?: string;
    scheduleType?: string;
    frequency?: FrequencyTypes;
    id?: string;
}
