import { NotificationsType } from './notifictions-types.interface';
export interface NotificationRequest {
    notifications?: {
        operations?: NotificationsType | NotificationsType[];
        malware?: NotificationsType | NotificationsType[];
        mitigation?: NotificationsType | NotificationsType[];
        administrative?: NotificationsType | NotificationsType[];
        whitelistblacklist?: NotificationsType | NotificationsType[];
    };
    configurations?: {
        syslog?: boolean;
        sms?: boolean;
        email?: boolean;
    };
    lastModified?: {
        updatedBy?: string;
        updatedAt?: string;
    };
}
