import { PolicyDataRequest } from '../../policy/modal/policy.interface';
import { SuiteTypes } from './../../../enums/suite-types';
import { BaseGetQueryParams } from './../../../model/base-get.interface';
export interface Site extends BaseGetQueryParams {
    updatedAt?: string;
    unlimitedExpiration?: any;
    externalId?: any;
    unlimitedLicenses?: boolean;
    siteType?: any;
    state?: any;
    registrationToken?: string;
    healthStatus?: any;
    activeLicenses?: number;
    suite?: SuiteTypes;
    name?: string;
    creator?: any;
    createdAt?: string;
    creatorId?: any;
    id?: string;
    isDefault?: boolean;
    policy?: PolicyDataRequest;
    inherits?: boolean;
    user?: any;
    totalLicenses?: number;
    expiration?: any;
    accountId?: string;
    accountName?: string;
}
