import { BaseGetQueryParams } from '../../../model/base-get.interface';
import { EngineTypes } from '../../../enums/engine-types';
import { EnginesTypes } from '../../../enums/engines-types';
import { OsArchs } from '../../../enums/os-archs-types';
import { OsTypes } from '../../../enums/os-types';
import { StatusType } from '../../../enums/status-type';
export interface GetThreatsGrouped extends BaseGetQueryParams {
    resolved?: boolean;
    diskEncryption?: true;
    agentVersions?: string[] | string;
    displayName__like?: string;
    classifications?: any[];
    contentHash?: string;
    collectionIds?: string[];
    classificationSources?: EngineTypes[];
    maliciousGroupIds?: string[];
    contentHashes?: string[];
    osTypes?: OsTypes[] | OsTypes;
    mitigationStatuses?: StatusType[] | StatusType;
    osArchs?: OsArchs[] | OsArchs;
    fromScan?: boolean | string;
    status?: StatusType[] | StatusType;
    agentMachineTypes?: string[];
    countOnly?: boolean;
    createdAt__gte?: string;
    agentId?: string;
    updatedAt__gte?: string;
    skipCount?: boolean;
    engines?: EnginesTypes;
    displayName?: string;
    siteIds?: any[];
    updatedAt__lt?: string;
    accountIds?: any[];
    createdAt__gt?: string;
    statuses?: any[];
    fileDisplayName__contains?: any[];
    confidenceLevels?: any[];
    analystVerdicts?: any[];
    contentHash__contains?: any[];
    initiatedBy?: any[];
    uuid__contains?: any[];
    groupIds?: any[];
    computerName__contains?: any[];
    agentIsActive?: boolean;
    ticketStatuses?: any[];
    filePath__contains?: any[];
    tenant?: boolean;
    createdAt__lte?: string;
    createdAt__lt?: string;
    updatedAt__lte?: string;
    updatedAt__gt?: string;
}
