import { BaseUser } from './base-user';
import { SiteRoles } from '../../../services/modal/site-role.interface';
export interface CreateUserRequest extends BaseUser {
    siteRoles?: SiteRoles[] | SiteRoles;
    scopeRoles?: SiteRoles[] | SiteRoles;
    twoFaEnabled?: boolean;
    groupsReadOnly?: boolean;
    fullNameReadOnly?: boolean;
    emailReadOnly?: boolean;
    primaryTwoFaMethod?: string;
    tenantRoles?: string[];
    allowRemoteShell?: boolean;
    emailVerified?: boolean;
}
