"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TimeTitle;
(function (TimeTitle) {
    TimeTitle["Recent"] = "Recent";
    TimeTitle["Today"] = "Today";
    TimeTitle["Last48Hours"] = "Last 48 Hours";
    TimeTitle["ThisMonth"] = "This Month";
    TimeTitle["Last30Days"] = "Last 30 Days";
    TimeTitle["Last7Days"] = "Last 7 Days";
    TimeTitle["Last24Hours"] = "Last 24 Hours";
    TimeTitle["Last2Months"] = "Last 2 Months";
    TimeTitle["Last3Months"] = "Last 3 Months";
    TimeTitle["LastYear"] = "Last Year";
    TimeTitle["LastOneHour"] = "Last One Hour";
    TimeTitle["None"] = "None";
    TimeTitle["Custom"] = "Custom";
})(TimeTitle = exports.TimeTitle || (exports.TimeTitle = {}));
exports.TimeOptions = [
    {
        title: 'Recent',
        value: 'Recent'
    },
    {
        title: 'Last 24 Hours',
        value: 'Last24Hours'
    },
    {
        title: 'Today',
        value: 'Today'
    },
    {
        title: 'Last 48 Hours',
        value: 'Last48Hours'
    },
    {
        title: 'Last 7 Days',
        value: 'Last7Days'
    },
    {
        title: 'Last 30 Days',
        value: 'Last30Days'
    },
    {
        title: 'This Month',
        value: 'ThisMonth'
    },
    {
        title: 'Last 2 Months',
        value: 'Last2Months'
    },
    {
        title: 'Last 3 Months',
        value: 'Last3Months'
    },
    {
        title: 'Last Year',
        value: 'LastYear'
    },
    {
        title: 'Custom Range',
        value: 'CustomRange'
    }
];
exports.IocTimeOptions = [
    {
        title: 'Last One Hour',
        value: 'LastOneHour'
    },
    {
        title: 'Last 24 Hours',
        value: 'Last24Hours'
    },
    {
        title: 'Today',
        value: 'Today'
    },
    {
        title: 'Last 48 Hours',
        value: 'Last48Hours'
    },
    {
        title: 'Last 7 Days',
        value: 'Last7Days'
    },
    {
        title: 'Last 30 Days',
        value: 'Last30Days'
    },
    {
        title: 'This Month',
        value: 'ThisMonth'
    },
    {
        title: 'Last 2 Months',
        value: 'Last2Months'
    },
    {
        title: 'Last 3 Months',
        value: 'Last3Months'
    },
    {
        title: 'Custom Range',
        value: 'CustomRange'
    }
];
//# sourceMappingURL=time-type-options.js.map