"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateEntityError = /** @class */ (function () {
    function CreateEntityError(err, entityName, failedFunction) {
        this.message = "Problem in " + { entityName: entityName } + "." + failedFunction + "() : ";
        this.name = 'Create Entity Error';
        this.stack = err.stack;
        console.log(err.message);
        console.log(JSON.stringify(this.message), this.stack);
    }
    return CreateEntityError;
}());
exports.CreateEntityError = CreateEntityError;
//# sourceMappingURL=create-error-class.js.map