"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEntityError = /** @class */ (function () {
    function DeleteEntityError(err, entityName, failedFunction) {
        this.message = "Problem in " + entityName + "." + failedFunction + "()";
        this.name = 'Delete Entity Error';
        this.stack = err.stack;
        console.log(JSON.stringify(this.message), this.stack);
    }
    return DeleteEntityError;
}());
exports.DeleteEntityError = DeleteEntityError;
//# sourceMappingURL=delete-error-class.js.map