"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateEntityError = /** @class */ (function () {
    function UpdateEntityError(err, entityName, failedFunction) {
        this.message = "Problem in " + { entityName: entityName } + "." + failedFunction + "() : ";
        this.name = 'Update Entity Error';
        this.stack = err.stack;
    }
    return UpdateEntityError;
}());
exports.UpdateEntityError = UpdateEntityError;
//# sourceMappingURL=update-error-class.js.map