import { SDKRespond } from '../services/modal/sdk-respond-interface';
/**
 * This interface represents BaseClass ( that is an Abstract class ),
 * all Entities in the sdk extends that class
 */
export interface BaseClass {
    entityName: string;
    endPoints: any;
    makeApiCall: (endpointName: string, data?: any) => Promise<SDKRespond>;
    create?: (data?: any) => Promise<SDKRespond>;
    delete?: (id?: string) => Promise<SDKRespond>;
    get?: (filters?: any, endPointName?: string) => Promise<SDKRespond>;
    update?: (id: string, data?: any) => Promise<SDKRespond>;
    getByID?: (id: string) => Promise<SDKRespond>;
}
