/**
 * Base Scope
 * Contains query params that can be used inside the SDKRequest(Interface)
 * sitesIds : string
 * groupsIds : string
 */
export interface BaseScope {
    sitesIds?: string[];
    siteIds?: string[];
    siteId?: string;
    tenant?: boolean;
    groupsIds?: string[];
    groupIds?: string[];
    accountIds?: string[];
}
