import { SDKRespond } from './services/modal/sdk-respond-interface';
export declare const setCurentDateTime: () => string;
/**
 * Get Requiered Fields
 *
 * Utill thats extracts data from SDKRespond's.respondData - By list of fields name.
 * Used in places like getDefualtLoggedInUser to get defualt user's props
 *
 * @param {SDKRespond} respond
 * @param {string[]} requieredFieldsName
 * @returns {*}
 */
export declare const getRequieredFields: (respond: SDKRespond, requieredFieldsName: string[]) => any;
/**
 * Read File
 * Used to sent cert
 *
 * @param {string} path
 * @param {string} fileName
 * @returns
 */
export declare const readFile: (path: string, fileName: string) => Promise<string>;
/**
 * check if body contains FormData (using FormData usually to send files)
 */
export declare function isFormBody(data: any): boolean;
