---
to: _templates/<%= name %>/<%= action || 'new' %>/gen-entity-class.ejs.t
---
---
to: src/entities/new-entity/<%=name%>.ts
---
import { EntityBaseClass } from '../entity-base-class';
import { ApiCall } from '../../services/api-call';
import { SDKRespond } from '../../services/modal/sdk-respond-interface';
import { endPointsEntities } from '../../end-point-entitity/ends-points-entitities';
import { Create<%= Name %>Request, Delete<%= Name %>Request, Get<%= Name %>Request } from './modal/<%=name%>.interface';
import { <%=name%>EndPointsNames } from '../../end-point-entitity/<%=name%>-endpoints';

export class <%= Name %> extends EntityBaseClass {
  constructor(apiCall: ApiCall) {
    super(<%=name%>EndPointsNames, endPointsEntities.<%=name%>, apiCall);
  }

  async get(data: Partial<Get<%= Name %>Request>): Promise<SDKRespond> {
    try {
      return await this.makeApiCall(this.endPoints.get<%=Name%>, data);
    } catch (e) {
      throw e;
    }
  }

  async create(data: Partial<Create<%= Name %>Request>): Promise<SDKRespond> {
    try {
      return await this.makeApiCall(this.endPoints.create<%=Name%>, { data });
    } catch (e) {
      throw e;
    }
  }

  async delete(data: Partial<Delete<%= Name %>Request>): Promise<SDKRespond> {
    try {
      return await this.makeApiCall(this.endPoints.delete<%=Name%>, data);
    } catch (e) {
      throw e;
    }
  }
}


