import { HttpMethod } from '../enums/http-method';
export declare const accounts: {
    getAccounts: {
        url: string;
        method: HttpMethod;
    };
    getAccountsFull: {
        url: string;
        method: HttpMethod;
    };
    getAccountsPolicy: {
        url: (account_id: string) => string;
        method: HttpMethod;
    };
    createAccount: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum AccountsEndPointsTypes {
    getAccounts = "getAccounts",
    getAccountsFull = "getAccountsFull",
    getAccountsPolicy = "getAccountsPolicy",
    createAccount = "createAccount"
}
export declare const AccountsEndPointsNames: typeof AccountsEndPointsTypes;
