import { HttpMethod } from '../enums/http-method';
export declare const agentActions: {
    decommission: {
        url: string;
        method: HttpMethod;
    };
    fetchLogs: {
        url: string;
        method: HttpMethod;
    };
    connectToNetwork: {
        url: string;
        method: HttpMethod;
    };
    fetchFiels: {
        url: string;
        method: HttpMethod;
    };
    uninstall: {
        url: string;
        method: HttpMethod;
    };
    initiateScan: {
        url: string;
        method: HttpMethod;
    };
    setPersistentConfigOverrides: {
        url: string;
        method: HttpMethod;
    };
    shutdown: {
        url: string;
        method: HttpMethod;
    };
    resetLocalConfig: {
        url: string;
        method: HttpMethod;
    };
    rejectUninstall: {
        url: string;
        method: HttpMethod;
    };
    approveUninstall: {
        url: string;
        method: HttpMethod;
    };
    restart: {
        url: string;
        method: HttpMethod;
    };
    updateSoftware: {
        url: string;
        method: HttpMethod;
    };
    moveAgentsToSite: {
        url: string;
        method: HttpMethod;
    };
    abortScan: {
        url: string;
        method: HttpMethod;
    };
    disconnectFromNetwork: {
        url: string;
        method: HttpMethod;
    };
    broadcastMessage: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum AgentActionsEndPointsTypes {
    decommission = "decommission",
    fetchLogs = "fetchLogs",
    connectToNetwork = "connectToNetwork",
    fetchFiels = "fetchFiels",
    uninstall = "uninstall",
    initiateScan = "initiateScan",
    setPersistentConfigOverrides = "setPersistentConfigOverrides",
    shutdown = "shutdown",
    resetLocalConfig = "resetLocalConfig",
    rejectUninstall = "rejectUninstall",
    approveUninstall = "approveUninstall",
    restart = "restart",
    updateSoftware = "updateSoftware",
    moveAgentsToSite = "moveAgentsToSite",
    abortScan = "abortScan",
    disconnectFromNetwork = "disconnectFromNetwork",
    broadcastMessage = "broadcastMessage"
}
export declare const AgentActionsEndPointsNames: typeof AgentActionsEndPointsTypes;
