"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.agentActions = {
    decommission: {
        url: "agents/actions/Decommission",
        method: "post" /* POST */
    },
    fetchLogs: {
        url: "agents/actions/fetch-logs",
        method: "post" /* POST */
    },
    connectToNetwork: {
        url: "agents/actions/connect",
        method: "post" /* POST */
    },
    fetchFiels: {
        url: "agents/actions/fetch-files",
        method: "post" /* POST */
    },
    uninstall: {
        url: "agents/actions/uninstall",
        method: "post" /* POST */
    },
    initiateScan: {
        url: "agents/actions/initiate-scan",
        method: "post" /* POST */
    },
    setPersistentConfigOverrides: {
        url: "agents/actions/set-config",
        method: "post" /* POST */
    },
    shutdown: {
        url: "agents/actions/shutdown",
        method: "post" /* POST */
    },
    resetLocalConfig: {
        url: "agents/actions/reset-local-config",
        method: "post" /* POST */
    },
    rejectUninstall: {
        url: "agents/actions/reject-uninstall",
        method: "post" /* POST */
    },
    approveUninstall: {
        url: "agents/actions/approve-uninstall",
        method: "post" /* POST */
    },
    restart: {
        url: "agents/actions/restart-machine",
        method: "post" /* POST */
    },
    updateSoftware: {
        url: "agents/actions/update-software",
        method: "post" /* POST */
    },
    moveAgentsToSite: {
        url: "agents/actions/move-to-site",
        method: "post" /* POST */
    },
    abortScan: {
        url: "agents/actions/abort-scan",
        method: "post" /* POST */
    },
    disconnectFromNetwork: {
        url: "agents/actions/disconnect",
        method: "post" /* POST */
    },
    broadcastMessage: {
        url: "agents/actions//broadcast",
        method: "post" /* POST */
    }
};
var AgentActionsEndPointsTypes;
(function (AgentActionsEndPointsTypes) {
    AgentActionsEndPointsTypes["decommission"] = "decommission";
    AgentActionsEndPointsTypes["fetchLogs"] = "fetchLogs";
    AgentActionsEndPointsTypes["connectToNetwork"] = "connectToNetwork";
    AgentActionsEndPointsTypes["fetchFiels"] = "fetchFiels";
    AgentActionsEndPointsTypes["uninstall"] = "uninstall";
    AgentActionsEndPointsTypes["initiateScan"] = "initiateScan";
    AgentActionsEndPointsTypes["setPersistentConfigOverrides"] = "setPersistentConfigOverrides";
    AgentActionsEndPointsTypes["shutdown"] = "shutdown";
    AgentActionsEndPointsTypes["resetLocalConfig"] = "resetLocalConfig";
    AgentActionsEndPointsTypes["rejectUninstall"] = "rejectUninstall";
    AgentActionsEndPointsTypes["approveUninstall"] = "approveUninstall";
    AgentActionsEndPointsTypes["restart"] = "restart";
    AgentActionsEndPointsTypes["updateSoftware"] = "updateSoftware";
    AgentActionsEndPointsTypes["moveAgentsToSite"] = "moveAgentsToSite";
    AgentActionsEndPointsTypes["abortScan"] = "abortScan";
    AgentActionsEndPointsTypes["disconnectFromNetwork"] = "disconnectFromNetwork";
    AgentActionsEndPointsTypes["broadcastMessage"] = "broadcastMessage";
})(AgentActionsEndPointsTypes = exports.AgentActionsEndPointsTypes || (exports.AgentActionsEndPointsTypes = {}));
exports.AgentActionsEndPointsNames = AgentActionsEndPointsTypes;
//# sourceMappingURL=agent-action-endpoints.js.map