import { HttpMethod } from './../enums/http-method';
export declare const applicationsRisk: {
    getApplicationsList: {
        url: string;
        method: HttpMethod;
    };
    getApplicationsRiskLevels: {
        url: string;
        method: HttpMethod;
    };
    getApplicationCVE: {
        url: (applicationAgentId: string) => string;
        method: HttpMethod;
    };
};
export declare enum applicationsRiskEndPointsTypes {
    getApplicationsList = "getApplicationsList",
    getApplicationsRiskLevels = "getApplicationsRiskLevels",
    getApplicationCVE = "getApplicationCVE"
}
export declare const ApplicationsRiskEndPointsNames: typeof applicationsRiskEndPointsTypes;
