import { HttpMethod } from '../enums/http-method';
export declare const credGroups: {
    createCredGroup: {
        url: string;
        method: HttpMethod;
    };
    deleteCredGroup: {
        url: (credGroupId: any) => string;
        method: HttpMethod;
    };
    getCredGroups: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum credGroupsEndPointsTypes {
    createCredGroup = "createCredGroup",
    deleteCredGroup = "deleteCredGroup",
    getCredGroups = "getCredGroups"
}
export declare const CredGroupEndPointsNames: typeof credGroupsEndPointsTypes;
