import { HttpMethod } from '../enums/http-method';
export declare const customDetectionRules: {
    createRule: {
        url: string;
        method: HttpMethod;
    };
    deleteRule: {
        url: string;
        method: HttpMethod;
    };
    getRules: {
        url: string;
        method: HttpMethod;
    };
    updateRule: {
        url: (ruleId: any) => string;
        method: HttpMethod;
    };
};
export declare enum customDetectionRulesEndPointsTypes {
    updateRule = "updateRule",
    createRule = "createRule",
    deleteRule = "deleteRule",
    getRules = "getRules"
}
export declare const customDetectionRulesEndPointsNames: typeof customDetectionRulesEndPointsTypes;
