import { HttpMethod } from './../enums/http-method';
export declare const deepVisibility: {
    getEventSeenOnNetwork: {
        url: () => string;
        method: HttpMethod;
    };
    getProcessByUniqueKey: {
        url: string;
        method: HttpMethod;
    };
    getEvents: {
        url: string;
        method: HttpMethod;
    };
    getAgentsBreakdown: {
        url: string;
        method: HttpMethod;
    };
    getProcessByAgent: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getAgentSeenOnNetwork: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getEventsByProcess: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getAgentsDrillDown: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    getEventsFiltered: {
        url: (projection: string) => string;
        method: HttpMethod;
    };
};
export declare enum DeepVisibilityEndpointsTypes {
    getEventSeenOnNetwork = "getEventSeenOnNetwork",
    getProcessByUniqueKey = "getProcessByUniqueKey",
    getEvents = "getEvents",
    getAgentsBreakdown = "getAgentsBreakdown",
    getProcessByAgent = "getProcessByAgent",
    getAgentSeenOnNetwork = "getAgentSeenOnNetwork",
    getEventsByProcess = "getEventsByProcess",
    getAgentsDrillDown = "getAgentsDrillDown"
}
export declare const DeepVisibilityEndpointsNames: typeof DeepVisibilityEndpointsTypes;
