import { HttpMethod } from './../enums/http-method';
export declare const deepVisibilityV2: {
    dvV2GetEventsByType: {
        url: (eventType: string) => string;
        method: HttpMethod;
    };
    dvV2GetAvailableActions: {
        url: string;
        method: HttpMethod;
    };
    dvV2CancelRunningQuery: {
        url: string;
        method: HttpMethod;
    };
    dvV2GetEventTypes: {
        url: string;
        method: HttpMethod;
    };
    dvV2GetAllEvents: {
        url: string;
        method: HttpMethod;
    };
    dvV2GetDistinctFieldsData: {
        url: string;
        method: HttpMethod;
    };
    dvV2GetRecentQueries: {
        url: string;
        method: HttpMethod;
    };
    dvV2GetQueryStatus: {
        url: string;
        method: HttpMethod;
    };
    dvV2CreateQuery: {
        url: string;
        method: HttpMethod;
    };
    dvV2CountByType: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum DeepVisibilityV2EndPointsTypes {
    dvV2GetEventsByType = "dvV2GetEventsByType",
    dvV2CancelRunningQuery = "dvV2CancelRunningQuery",
    dvV2GetEventTypes = "dvV2GetEventTypes",
    dvV2GetAllEvents = "dvV2GetAllEvents",
    dvV2GetDistinctFieldsData = "dvV2GetDistinctFieldsData",
    dvV2GetRecentQueries = "dvV2GetRecentQueries",
    dvV2GetQueryStatus = "dvV2GetQueryStatus",
    dvV2CreateQuery = "dvV2CreateQuery",
    dvV2CountByType = "dvV2CountByType"
}
export declare const DeepVisibilityV2EndPointsNames: typeof DeepVisibilityV2EndPointsTypes;
