import { HttpMethod } from '../enums/http-method';
export declare const deviceControl: {
    getEvents: {
        url: string;
        method: HttpMethod;
    };
    countByFilters: {
        url: string;
        method: HttpMethod;
    };
    getInterfaces: {
        url: string;
        method: HttpMethod;
    };
    getUnscopedRules: {
        url: string;
        method: HttpMethod;
    };
    getConfiguration: {
        url: string;
        method: HttpMethod;
    };
    updateConfiguration: {
        url: string;
        method: HttpMethod;
    };
    copyRules: {
        url: string;
        method: HttpMethod;
    };
    reorderRules: {
        url: string;
        method: HttpMethod;
    };
    exportRules: {
        url: string;
        method: HttpMethod;
    };
    importRules: {
        url: string;
        method: HttpMethod;
    };
    enableDisableRules: {
        url: string;
        method: HttpMethod;
    };
    deleteRules: {
        url: string;
        method: HttpMethod;
    };
    getDeviceRules: {
        url: string;
        method: HttpMethod;
    };
    createDeviceRule: {
        url: string;
        method: HttpMethod;
    };
    updateDeviceRule: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum deviceControlEndPointsTypes {
    getEvents = "getEvents",
    countByFilters = "countByFilters",
    getInterfaces = "getInterfaces",
    getUnscopedRules = "getUnscopedRules",
    getConfiguration = "getConfiguration",
    updateConfiguration = "updateConfiguration",
    copyRules = "copyRules",
    reorderRules = "reorderRules",
    exportRules = "exportRules",
    importRules = "importRules",
    enableDisableRules = "enableDisableRules",
    deleteRules = "deleteRules",
    getDeviceRules = "getDeviceRules",
    createDeviceRule = "createDeviceRule",
    updateDeviceRule = "updateDeviceRule"
}
export declare const deviceControlEndPointsNames: typeof deviceControlEndPointsTypes;
