export declare const endPoints: any;
export declare const endPointsEntities: {
    users: string;
    rbac: string;
    settings: string;
    accounts: string;
    hash: string;
    forensics: string;
    deepVisibility: string;
    sites: string;
    reports: string;
    groups: string;
    agents: string;
    updates: string;
    policy: string;
    exlusions: string;
    system: string;
    configOverride: string;
    activities: string;
    agentActions: string;
    filters: string;
    tags: string;
    customDetectionRules: string;
    deepVisibilityV2: string;
    threats: string;
    authenticator: string;
    commands: string;
    applicationsRisk: string;
    fireWallControl: string;
    deviceControl: string;
    credGroups: string;
    credGroupDetails: string;
};
/**
 * Get End Point
 * example : getEndPoint(endPointsEntities.users,endPoints.users.userEndPointsNames.userInfo)
 * will return:
 *  userInfo {
 *      url:`private/user-info`
 *      method: HttpMethod.GET
 *    }
 * @param entityName
 * @param apiName
 */
export declare const getEndPoint: (entityName: string, apiName: string) => any;
