import { HttpMethod } from '../enums/http-method';
export declare const exclusions: {
    getWhiteItems: {
        url: string;
        method: HttpMethod;
    };
    setWhiteItem: {
        url: string;
        method: HttpMethod;
    };
    updateWhiteItem: {
        url: string;
        method: HttpMethod;
    };
    deleteWhiteItem: {
        url: string;
        method: HttpMethod;
    };
    getBlackItems: {
        url: string;
        method: HttpMethod;
    };
    setBlackItem: {
        url: string;
        method: HttpMethod;
    };
    updateBlackItem: {
        url: string;
        method: HttpMethod;
    };
    deleteBlackItem: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum ExclusionsEndPointsTypes {
    getBlackItems = "getBlackItems",
    getWhiteItems = "getWhiteItems",
    setWhiteItem = "setWhiteItem",
    setBlackItem = "setBlackItem",
    updateBlackItem = "updateBlackItem",
    updateWhiteItem = "updateWhiteItem",
    deleteBlackItem = "deleteBlackItem",
    deleteWhiteItem = "deleteWhiteItem"
}
export declare const ExclusionsEndPointsNames: typeof ExclusionsEndPointsTypes;
