import { HttpMethod } from '../enums/http-method';
export declare const filters: {
    getFilters: {
        url: string;
        method: HttpMethod;
    };
    getDvFilter: {
        url: string;
        method: HttpMethod;
    };
    deleteDvFilter: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    deleteFilter: {
        url: (payloadQuery: string) => string;
        method: HttpMethod;
    };
    saveDvFilter: {
        url: string;
        method: HttpMethod;
    };
    saveFilter: {
        url: string;
        method: HttpMethod;
    };
    updateDvFilters: {
        url: (dvFilters: string) => string;
        method: HttpMethod;
    };
    updateFilter: {
        url: (filter: string) => string;
        method: HttpMethod;
    };
};
export declare enum filterEndPointsTypes {
    getFilters = "getFilters",
    getDvFilter = "getDvFilter",
    deleteDvFilter = "deleteDvFilter",
    deleteFilter = "deleteFilter",
    saveDvFilter = "saveDvFilter",
    saveFilter = "saveFilter",
    updateDvFilters = "updateDvFilters",
    updateFilter = "updateFilter"
}
export declare const FilterEndPointsNames: typeof filterEndPointsTypes;
