"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filters = {
    getFilters: { url: "filters", method: "get" /* GET */ },
    getDvFilter: { url: "filters/dv", method: "get" /* GET */ },
    deleteDvFilter: { url: function (payloadQuery) { return "filters/dv/" + payloadQuery; }, method: "delete" /* DELETE */ },
    deleteFilter: { url: function (payloadQuery) { return "filters/" + payloadQuery; }, method: "delete" /* DELETE */ },
    saveDvFilter: { url: "filters/dv", method: "post" /* POST */ },
    saveFilter: { url: "filters", method: "post" /* POST */ },
    updateDvFilters: { url: function (dvFilters) { return "filters/dv/" + dvFilters; }, method: "put" /* PUT */ },
    updateFilter: { url: function (filter) { return "filters/" + filter; }, method: "put" /* PUT */ }
};
var filterEndPointsTypes;
(function (filterEndPointsTypes) {
    filterEndPointsTypes["getFilters"] = "getFilters";
    filterEndPointsTypes["getDvFilter"] = "getDvFilter";
    filterEndPointsTypes["deleteDvFilter"] = "deleteDvFilter";
    filterEndPointsTypes["deleteFilter"] = "deleteFilter";
    filterEndPointsTypes["saveDvFilter"] = "saveDvFilter";
    filterEndPointsTypes["saveFilter"] = "saveFilter";
    filterEndPointsTypes["updateDvFilters"] = "updateDvFilters";
    filterEndPointsTypes["updateFilter"] = "updateFilter";
})(filterEndPointsTypes = exports.filterEndPointsTypes || (exports.filterEndPointsTypes = {}));
exports.FilterEndPointsNames = filterEndPointsTypes;
//# sourceMappingURL=filters-endpoints.js.map