"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reports = {
    getReports: { url: "reports", method: "get" /* GET */ },
    getReportsTask: { url: "report-tasks", method: "get" /* GET */ },
    getInsightType: { url: "reports/insights/types", method: "get" /* GET */ },
    getRssFeed: { url: "sentinelonerss", method: "get" /* GET */ },
    deleteReports: { url: "reports/delete-reports", method: "post" /* POST */ },
    deleteReportsTask: { url: "reports/delete-tasks", method: "post" /* POST */ },
    updateReportTask: { url: function (task_id) { return "report-tasks/" + task_id; }, method: "put" /* PUT */ },
    createReportTasks: { url: "report-tasks", method: "post" /* POST */ }
};
var ReportsEndPointsTypes;
(function (ReportsEndPointsTypes) {
    ReportsEndPointsTypes["getReports"] = "getReports";
    ReportsEndPointsTypes["getReportsTask"] = "getReportsTask";
    ReportsEndPointsTypes["getInsightType"] = "getInsightType";
    ReportsEndPointsTypes["getRssFeed"] = "getRssFeed";
    ReportsEndPointsTypes["deleteReports"] = "deleteReports";
    ReportsEndPointsTypes["deleteReportsTask"] = "deleteReportsTask";
    ReportsEndPointsTypes["updateReportTask"] = "updateReportTask";
    ReportsEndPointsTypes["createReportTasks"] = "createReportTasks";
})(ReportsEndPointsTypes = exports.ReportsEndPointsTypes || (exports.ReportsEndPointsTypes = {}));
exports.ReportsEndPointsNames = ReportsEndPointsTypes;
//# sourceMappingURL=reports-endpoints.js.map