import { HttpMethod } from './../enums/http-method';
export declare const system: {
    getSystemConfig: {
        url: string;
        method: HttpMethod;
    };
    setSystemConfig: {
        url: string;
        method: HttpMethod;
    };
    getSystemInfo: {
        url: string;
        method: HttpMethod;
    };
    getSystemStatus: {
        url: string;
        method: HttpMethod;
    };
    getEnabledFeature: {
        url: string;
        method: HttpMethod;
    };
};
export declare enum SystemEndPointsTypes {
    getSystemConfig = "getSystemConfig",
    getSystemInfo = "getSystemInfo",
    getSystemStatus = "getSystemStatus",
    getEnabledFeature = "getEnabledFeature",
    setSystemConfig = "setSystemConfig"
}
export declare const SystemEndPointsName: typeof SystemEndPointsTypes;
