"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.system = {
    getSystemConfig: { url: "system/configuration", method: "get" /* GET */ },
    setSystemConfig: { url: "system/configuration", method: "put" /* PUT */ },
    getSystemInfo: { url: "system/info", method: "get" /* GET */ },
    getSystemStatus: { url: "system/status", method: "get" /* GET */ },
    getEnabledFeature: { url: "private/system/enabled-features", method: "get" /* GET */ }
};
var SystemEndPointsTypes;
(function (SystemEndPointsTypes) {
    SystemEndPointsTypes["getSystemConfig"] = "getSystemConfig";
    SystemEndPointsTypes["getSystemInfo"] = "getSystemInfo";
    SystemEndPointsTypes["getSystemStatus"] = "getSystemStatus";
    SystemEndPointsTypes["getEnabledFeature"] = "getEnabledFeature";
    SystemEndPointsTypes["setSystemConfig"] = "setSystemConfig";
})(SystemEndPointsTypes = exports.SystemEndPointsTypes || (exports.SystemEndPointsTypes = {}));
exports.SystemEndPointsName = SystemEndPointsTypes;
//# sourceMappingURL=system-endpoints.js.map