"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tags = {
    getTags: { url: "tags", method: "get" /* GET */ },
    createTag: { url: "tags", method: "post" /* POST */ },
    updateTag: { url: function (tagId) { return "tags/" + tagId; } },
    deleteTagById: { url: "tags", method: "delete" /* DELETE */ },
    deleteTags: { url: "tags", method: "delete" /* DELETE */ }
};
var tagsEndPointsTypes;
(function (tagsEndPointsTypes) {
    tagsEndPointsTypes["getTags"] = "getTags";
    tagsEndPointsTypes["updateTag"] = "updateTag";
    tagsEndPointsTypes["createTag"] = "createTag";
    tagsEndPointsTypes["deleteTags"] = "deleteTags";
    tagsEndPointsTypes["deleteTagById"] = "deleteTagById";
})(tagsEndPointsTypes = exports.tagsEndPointsTypes || (exports.tagsEndPointsTypes = {}));
exports.tagsEndPointsNames = tagsEndPointsTypes;
//# sourceMappingURL=tags-endpoints.js.map