"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updates = {
    downloadPackage: {
        url: function (site_id, package_id) { return "update/agent/download/" + site_id + "/" + package_id; },
        method: "get" /* GET */
    },
    downloadAgentPackage: { url: function (package_id) { return "update/agent/download/" + package_id; }, method: "get" /* GET */ },
    latestPackages: { url: "update/agent/packages", method: "get" /* GET */ },
    deletePackages: { url: "update/agent/packages", method: "delete" /* DELETE */ },
    updatePackages: { url: function (package_id) { return "update/agent/packages/" + package_id; }, method: "put" /* PUT */ },
    uploadPackage: { url: "upload/software", method: "post" /* POST */ },
    deployPackage: { url: "upload/software/deploy", method: "post" /* POST */ },
    uploadAgentPackage: { url: "upload/agent/software", method: "post" /* POST */ }
};
exports.updatesEndPointsType = {
    downloadPackage: 'downloadPackage',
    downloadAgentPackage: 'downloadAgentPackage',
    latestPackages: 'latestPackages',
    deletePackages: 'deletePackages',
    updatePackages: 'updatePackages',
    uploadPackage: 'uploadPackage',
    deployPackage: 'deployPackage',
    uploadAgentPackage: 'uploadAgentPackage'
};
exports.UpdatesEndPointsName = exports.updatesEndPointsType;
//# sourceMappingURL=update-endpoints.js.map