import { ApiCall } from './../../services/api-call';
import { FillersTypes } from '../threat/modal/filters.interface';
import { EntityBaseClass } from '../entity-base-class';
import { SDKRespond } from '../../services/modal/sdk-respond-interface';
import { CreateAccountRequest } from './modal/create-account-request';
export declare class Accounts extends EntityBaseClass {
    private apiCall;
    constructor(apiCall: ApiCall);
    get(filter?: FillersTypes): Promise<any>;
    getAccountsFull(filter?: FillersTypes): Promise<any>;
    getAccountPolicy(accountId: string): Promise<any>;
    create(account: CreateAccountRequest): Promise<SDKRespond>;
}
