export interface SkuInterface {
    totalLicenses?: number;
    type?: 'Core' | 'Control' | 'Complete';
    unlimited?: boolean;
}
export interface Licenses {
    bundles: {
        name: string;
        surfaces: any[];
    }[];
    modules: {
        name: string;
    }[];
    settings?: {
        groupName: string;
        setting: string;
    }[];
}
export interface CreateAccountRequest {
    name: string;
    inherits?: boolean;
    accountType?: 'Trial' | 'Paid';
    policy?: any;
    unlimitedExpiration?: boolean;
    expiration?: string;
    accountSfId?: string;
    skus: SkuInterface[];
    externalId: string;
    licenses?: Licenses;
}
