export interface GetCredGroupDetailsRequest {
    accountIds: string;
    credGroupIds: string;
    limit?: number;
}
export interface CredGroupDetailsRequest {
    credGroupId: string;
    details: CredGroupDetails[];
}
export declare enum CredType {
    userPassword = "user_password",
    pem = "pem"
}
export interface CredGroupDetails {
    credType: CredType;
    encryptedCred: string;
    encryptedKey: string;
    title: string;
}
