export declare enum TargetOs {
    Windows = "windows",
    OsxLinux = "osx_linux"
}
export interface GetCredGroupRequest {
    accountIds?: string;
    limit?: number;
}
export interface WindowsCredGroupRequest {
    domain: string;
    groupName: string;
    groupPassphrase: string;
    scopeId: string;
    targetOs: TargetOs.Windows;
}
export interface OsxLinuxCredGroupRequest {
    groupName: string;
    groupPassphrase: string;
    scopeId: string;
    targetOs: TargetOs.OsxLinux;
}
export declare type CredGroupRequest = WindowsCredGroupRequest | OsxLinuxCredGroupRequest;
