import { BaseUpdateFilter } from '../../../model/base-update-filter.interface';
import { UserActionsNeeded } from '../../../enums/user-actions-needed-types';
import { BaseCreateFilter } from '../../../model/base-creation-filter.interface';
import { OsTypes } from '../../../enums/os-types';
import { OsArchs } from '../../../enums/os-archs-types';
import { ScanStatus } from '../../../enums/scan-status-type';
export interface DVAgent extends BaseUpdateFilter, BaseCreateFilter {
    domain: string;
    siteName: string;
    coreCount: number;
    totalMemory: number;
    osArch: OsArchs;
    scanStatus: ScanStatus;
    isDecommissioned: boolean;
    osType: OsTypes;
    userActionsNeeded: UserActionsNeeded[];
    id: string;
    networkInterfaces: {
        inet: string[];
        physical: string;
        id: string;
        name: string;
        inet6: string[];
    };
}
