import { BaseGetQueryParams } from '../../../model/base-get.interface';
import { BaseEventTimeRequest } from './base-event-types.interface';
declare type deviceControlInterfaces = 'USB' | 'Bluetooth';
export interface DeviceControlRequest extends BaseGetQueryParams, BaseEventTimeRequest {
    interfaces?: deviceControlInterfaces[];
    uids?: string[];
    eventIds?: string[];
    productIds?: string[];
    serviceClasses?: string[];
    deviceClasses?: string[];
}
export {};
