import { GetFWControlRequest } from './get-fw-control-rules.interface';
export interface UpdateFirewallRullRequest extends GetFWControlRequest {
    remotePort?: {
        type: 'range' | 'any' | 'ports';
        values?: number[];
    };
    remoteHost?: {
        type: 'range' | 'any' | 'cidr' | 'addresses';
        values?: string[];
    };
    localHost?: {
        type: 'any' | 'range' | 'cidr' | 'addresses';
        values?: string[];
    };
    application?: {
        type: 'range' | 'any' | 'ports' | 'path';
        values?: string[];
    };
    localPort?: {
        type: 'path' | 'sha1' | 'any' | 'system';
        values?: number[];
    };
    tagIds?: string[];
}
