import { BaseThreatCPUCountFilter } from '../../../model/base-threat-cpu-count-filter.iterface';
import { BaseScope } from '../../../model/scope-get.interface';
import { NetworkStatusesTypes } from '../../../enums/network-statuses-types';
import { ScanStatus } from '../../../enums/scan-status-type';
import { BaseRegisteredAtFilter } from '../../../model/base-registerd-at-filter.interface';
import { BaseUpdateFilter } from '../../../model/base-update-filter.interface';
import { BaseLastActiveDateFilter } from '../../../model/base-last-active-date-filter.interface';
import { BaseCoreFilter } from '../../../model/base-core-count-filter.interface';
import { UserActionsNeeded } from '../../../enums/user-actions-needed-types';
import { AgentMachineTypes } from '../../../enums/agent-machine-types';
import { BaseActiveThreatsFilter } from '../../../model/base- active-threats.interface';
import { BaseThreatsCreatedAtFilter } from '../../../model/ threat-created-at-filter.interface';
import { BaseComputerNameFilter } from '../../../model/base-computer-name-filter.interface';
import { BaseTotalMemoryFilter } from '../../../model/base-total-memory-filter.interface';
import { OsArchs } from '../../../enums/os-archs-types';
import { OsTypes } from '../../../enums/os-types';
import { MitigationModeSuspicious } from '../../../enums/mitigation-mode-suspicious-types';
export interface MoveAgentGroup extends BaseActiveThreatsFilter, BaseThreatCPUCountFilter, BaseThreatsCreatedAtFilter, BaseRegisteredAtFilter, BaseUpdateFilter, BaseComputerNameFilter, BaseLastActiveDateFilter, BaseTotalMemoryFilter, BaseCoreFilter, BaseScope {
    threatHidden?: boolean;
    networkStatuses?: NetworkStatusesTypes[];
    scanStatuses?: ScanStatus[];
    osArch?: OsArchs;
    osTypes?: OsTypes[];
    filterId?: string;
    isPendingUninstall?: boolean;
    isDecommissioned?: boolean[];
    mitigationModeSuspicious?: MitigationModeSuspicious;
    query?: string;
    userActionsNeeded?: UserActionsNeeded[];
    computerName?: string;
    uuid?: string;
    uuids?: string[];
    encryptedApplications?: boolean;
    agentIds?: string[];
    infected?: boolean;
    adQuery?: string;
    activeThreats?: number;
    scanStatus?: ScanStatus;
    threatMitigationStatus?: MitigationModeSuspicious;
    mitigationMode?: MitigationModeSuspicious;
    machineTypes?: AgentMachineTypes[];
    isActive?: boolean;
    threatContentHash?: string;
    hasLocalConfiguration?: boolean;
    ids?: string[];
    isUninstalled?: boolean[];
    agentVersions?: string[];
    threatResolved?: boolean;
    domains?: string[];
    isUpToDate?: boolean;
}
