import { BaseUpdateFilter } from '../../../model/base-update-filter.interface';
import { BaseScope } from '../../../model/scope-get.interface';
import { SortOrder } from '../../../enums/sort-order-types';
export declare type SortBy = 'name' | 'rank' | 'siteId' | 'updatedAt' | 'type' | 'id' | 'createdAt';
export interface SiteDefualtGroupRequest extends BaseUpdateFilter, BaseScope, BaseUpdateFilter {
    name?: string;
    skipCount?: boolean;
    skip?: number;
    countOnly?: boolean;
    rank?: number;
    sortBy?: SortBy;
    cursor?: string;
    sortOrder?: SortOrder;
    limit?: number;
    isDefault?: boolean;
    query?: string;
    type?: 'static' | 'dynamic';
    id?: string;
}
