import { Authenticator } from '../../../services/auth.service';
import { Threats } from '../../threat/threat.class';
import { ApiCall } from '../../../services/api-call';
import { Sites } from '../../site/site.class';
import { Activities } from '../../activity/activity.class';
import { AgentActions } from '../../agentAction/agent-actions.class';
import { Users } from '../../user/users.class';
import { Commands } from '../../command/commamds.class';
import { Agents } from '../../agent/agent';
import { System } from '../../system/system.class';
import { Policy } from '../../policy/policy.class';
import { Group } from '../../group/group.class';
import { Settings } from '../../settings/settings.class';
import { ConfigOverRide } from '../../config-override/configOverride.class';
import { Update } from '../../update/update.class';
import { DeepVisibility } from '../../deep-visibility/deepvisibillty.class';
import { DeepVisibilityV2 } from '../../deep-visibility-v2/deep-visibilty-v2.class';
import { Exclusions } from '../../exclusion/exclusion.class';
import { Report } from '../../report/report.class';
import { Filters } from '../../filters/filters.class';
import { Hash } from '../../hash/hash.class';
import { Forensic } from '../../forensic/forensic.class';
import { ApplicationsRisk } from '../../applications-risk/applications-risk.class';
import { FirewallControl } from '../../firewall-control/firewall-control.class';
import { DeviceControl } from '../../device-control/device-control.class';
export interface Managment {
    threats: Threats;
    readonly apiCall: ApiCall;
    authenticator: Authenticator;
    applicationsRisk: ApplicationsRisk;
    sites: Sites;
    policy: Policy;
    exclusions: Exclusions;
    system: System;
    commands: Commands;
    settings: Settings;
    configOverride: ConfigOverRide;
    groups: Group;
    agents: Agents;
    activities: Activities;
    agentActions: AgentActions;
    users: Users;
    updates: Update;
    deepVisibility: DeepVisibility;
    deepVisibilityV2: DeepVisibilityV2;
    reports: Report;
    filters: Filters;
    firewallControl: FirewallControl;
    hash: Hash;
    forensics: Forensic;
    deviceControl: DeviceControl;
}
