import { BaseCreateFilter } from '../../../model/base-creation-filter.interface';
import { SortBy } from '../../group/modal/site-defualt-group-request.interface';
import { SortOrder } from '../../../enums/sort-order-types';
import { ScopeTypes } from '../../../enums/scop-types';
export interface BaseGetReportRequest extends BaseCreateFilter {
    skip?: boolean;
    limit?: number;
    name?: string;
    taskId?: string;
    groupId?: string[];
    id?: string[];
    ids?: string[];
    query?: string;
    sortBy?: SortBy;
    cursor?: string;
    fromDate?: string;
    sortOrder?: SortOrder;
    toDate?: string;
    siteIds?: string[];
    scope?: ScopeTypes;
    countOnly?: boolean;
    skipCount?: boolean;
}
