import { SiteTypes } from './../../../enums/site-types';
import { PolicyDataRequest } from '../../policy/modal/policy.interface';
import { SuiteTypes } from './../../../enums/suite-types';
import { Licenses } from '../../accounts/modal/create-account-request';
export interface CreateSiteRequest {
    name: string;
    totalLicenses: number;
    suite: SuiteTypes;
    siteType: SiteTypes;
    inherits?: boolean;
    unlimitedExpiration?: boolean;
    unlimitedLicenses?: boolean;
    externalId?: string;
    expiration?: string;
    policy?: PolicyDataRequest;
    accountId?: string;
    tenantRoles?: string[];
    accountName?: string;
    licenses?: Licenses;
}
