import { AgentMachineTypes } from '../../../enums/agent-machine-types';
import { EngineTypes } from '../../../enums/engine-types';
import { EnginesTypes } from '../../../enums/engines-types';
import { OsArchs } from '../../../enums/os-archs-types';
import { OsTypes } from '../../../enums/os-types';
import { QueryType } from '../../../enums/query-type';
import { StatusType } from '../../../enums/status-type';
export interface FillersTypes {
    status?: StatusType;
    diskEncryption?: boolean;
    fromScan?: boolean;
    agentVersions?: any[];
    displayName__like?: string;
    query?: QueryType;
    classifications?: any[];
    contentHash?: string;
    collectionIds?: string[];
    classificationSources?: EngineTypes;
    maliciousGroupIds?: any[];
    contentHashes?: string[];
    osTypes?: OsTypes[];
    mitigationStatuses?: StatusType;
    osArchs?: OsArchs;
    resolved?: boolean;
    groupIds?: string[];
    agentMachineTypes?: AgentMachineTypes;
    siteIds?: string[];
    ids?: string[];
    agentId?: string;
    displayName?: string;
    name?: string;
    engines?: EnginesTypes;
    accountIds?: string[];
    confidenceLevels?: string[];
    fileDisplayName__contains?: string[];
    failedActions?: boolean;
}
