import { ApiToken } from '../../../services/modal/api-token.interface';
import { SiteRoles } from '../../../services/modal/site-role.interface';
import { LowestRole } from '../const/lowest-role-type';
import { BaseUser } from './base-user';
export interface User extends BaseUser {
    username: string;
    email: string;
    password: string;
    tenantRoles?: string[];
    siteRoles?: SiteRoles[];
    scopeRoles?: SiteRoles[];
    roleName?: string;
    roleScopeName?: string;
    apiToken?: ApiToken;
    lowestRole?: LowestRole;
}
