import { CustomErrorWithOutCallBack } from './modal/custum-error-without-callback.interface';
import { CustomErrorWithCallBack } from './modal/custom-error-with-callback.interface';
import { ErrorWithCallBackParams } from './modal/boolean-callback-type';
export declare class CustomErrorEntity {
    message: string;
    constructor(args: CustomErrorWithCallBack | CustomErrorWithOutCallBack);
    /**
     * Throw Error
     *
     * @param {ErrorWithCallBackParams} [params]
     * @returns {(Error | boolean)}
     *
     * @memberOf CustomErrorEntity
     */
    throwError(params?: ErrorWithCallBackParams): Error | boolean;
}
