"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CustomErrorEntity = /** @class */ (function () {
    function CustomErrorEntity(args) {
        console.log(args);
        this.message = args.message;
        if (args.hasOwnProperty('cb')) {
            this.throwError(args);
        }
        else {
            this.throwError();
        }
    }
    /**
     * Throw Error
     *
     * @param {ErrorWithCallBackParams} [params]
     * @returns {(Error | boolean)}
     *
     * @memberOf CustomErrorEntity
     */
    CustomErrorEntity.prototype.throwError = function (params) {
        var isConditionPassed = params ? params.cb(params.data) : false;
        console.log('isConditionPassed', isConditionPassed);
        if (isConditionPassed === false) {
            console.log(this.message);
            return new Error(this.message);
        }
        else {
            return false;
        }
    };
    return CustomErrorEntity;
}());
exports.CustomErrorEntity = CustomErrorEntity;
//# sourceMappingURL=custom-error-class.js.map