"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var policy_engines_interface_1 = require("./entities/policy/modal/policy-engines.interface");
exports.EngintState = policy_engines_interface_1.EngintState;
var agent_machine_types_1 = require("./enums/agent-machine-types");
exports.AgentMachineTypes = agent_machine_types_1.AgentMachineTypes;
var command_names_types_1 = require("./enums/command-names-types");
exports.CommandNamesTypes = command_names_types_1.CommandNamesTypes;
var engine_types_1 = require("./enums/engine-types");
exports.EngineTypes = engine_types_1.EngineTypes;
var engines_types_1 = require("./enums/engines-types");
exports.EnginesTypes = engines_types_1.EnginesTypes;
var http_method_1 = require("./enums/http-method");
exports.HttpMethod = http_method_1.HttpMethod;
var mitigate_actions_1 = require("./enums/mitigate-actions");
exports.MitigateActions = mitigate_actions_1.MitigateActions;
var mitigation_mode_suspicious_types_1 = require("./enums/mitigation-mode-suspicious-types");
exports.MitigationModeSuspicious = mitigation_mode_suspicious_types_1.MitigationModeSuspicious;
var network_statuses_types_1 = require("./enums/network-statuses-types");
exports.NetworkStatusesTypes = network_statuses_types_1.NetworkStatusesTypes;
var os_archs_types_1 = require("./enums/os-archs-types");
exports.OsArchs = os_archs_types_1.OsArchs;
var os_types_1 = require("./enums/os-types");
exports.OsTypes = os_types_1.OsTypes;
var query_type_1 = require("./enums/query-type");
exports.QueryType = query_type_1.QueryType;
var scan_status_type_1 = require("./enums/scan-status-type");
exports.ScanStatus = scan_status_type_1.ScanStatus;
var schedule_types_1 = require("./enums/schedule-types");
exports.ScheduleTypes = schedule_types_1.ScheduleTypes;
var scop_level_types_1 = require("./enums/scop-level-types");
exports.ScopLevelType = scop_level_types_1.ScopLevelType;
var scop_types_1 = require("./enums/scop-types");
exports.ScopeTypes = scop_types_1.ScopeTypes;
var site_types_1 = require("./enums/site-types");
exports.SiteTypes = site_types_1.SiteTypes;
var sort_order_types_1 = require("./enums/sort-order-types");
exports.SortOrder = sort_order_types_1.SortOrder;
var status_type_1 = require("./enums/status-type");
exports.StatusType = status_type_1.StatusType;
var suite_types_1 = require("./enums/suite-types");
exports.SuiteTypes = suite_types_1.SuiteTypes;
var target_scope_types_1 = require("./enums/target-scope-types");
exports.TargetScopeType = target_scope_types_1.TargetScopeType;
var time_type_options_1 = require("./enums/time-type-options");
exports.TimeTitle = time_type_options_1.TimeTitle;
exports.TimeOptions = time_type_options_1.TimeOptions;
exports.IocTimeOptions = time_type_options_1.IocTimeOptions;
var user_actions_needed_types_1 = require("./enums/user-actions-needed-types");
exports.UserActionsNeeded = user_actions_needed_types_1.UserActionsNeeded;
var whitening_option_types_1 = require("./enums/whitening-option-types");
exports.whiteningOptionTypes = whitening_option_types_1.whiteningOptionTypes;
var mangment_class_1 = require("./entities/mangment/mangment.class");
exports.Management = mangment_class_1.Management;
var auth_service_1 = require("./services/auth.service");
exports.Authenticator = auth_service_1.Authenticator;
var auth_methods_types_1 = require("./enums/auth-methods-types");
exports.AuthMethodsTypes = auth_methods_types_1.AuthMethodsTypes;
var base_data_class_1 = require("./entities/base-data-request/base-data-class");
exports.RequestData = base_data_class_1.RequestData;
(function main() {
    return __awaiter(this, void 0, void 0, function () {
        return __generator(this, function (_a) {
            try {
                // const configurationObject = getConfigurationObjectForDebug();
                // const mgmt = Management.getInstance(configurationObject.hostName);
                // console.log('222');
                // const authRes = await mgmt.authenticator.authenticate({
                //   method: AuthMethodsTypes.Login,
                //   data: configurationObject.auth.by.login
                // });
                // const data = {
                //   'name': 'sivani',
                //   'description': '',
                //   'permissionIds': ['1062793110548906151', '1062793110498574500', '1062793110515351717', '1062793110532128934', '1062793110012035207', '1062793109995257990', '1062793109978480773', '1062793109961703556', '1062793109944926339', '1062793109928149122', '1062793109911371905', '1062793109894594688', '1062793109877817471', '1062793109861040254', '1062793109844263037', '1062793109819097212', '1062793110179807377', '1062793110213361811', '1062793110196584594', '1062793110163030160', '1062793112293736714', '1062793112276959497', '1062793112310513931', '1062793112327291148', '1062793112352456973', '1062793109726822518', '1062793109743599735', '1062793109684879476', '1062793109710045301', '1062793111664591077', '1062793110901227708', '1062793110918004925', '1062793110943170750', '1062793110959947967', '1062793110976725184', '1062793110993502401', '1062793111010279618', '1062793111035445443', '1062793111052222660', '1062793111068999877', '1062793111085777094', '1062793111102554311', '1062793111127720136', '1062793111144497353', '1062793111161274570', '1062793111178051787', '1062793111203217612', '1062793111219994829', '1062793111236772046', '1062793111253549263', '1062793111270326480', '1062793111295492305', '1062793111312269522', '1062793111329046739', '1062793111345823956', '1062793111362601173', '1062793111387766998', '1062793111404544215', '1062793111421321432', '1062793111438098649', '1062793111454875866', '1062793111480041691', '1062793111496818908', '1062793111513596125', '1062793111530373342', '1062793111547150559', '1062793111572316384', '1062793111589093601', '1062793111605870818', '1062793111622648035', '1062793111639425252', '1062793111681368294', '1062793111698145511', '1062793111714922728', '1062793111731699945', '1062793111756865770', '1062793111773642987', '1062793111790420204', '1062793111807197421', '1062793109542273132', '1062793109567438957', '1062793109584216174', '1062793109609381999', '1062793112218239237', '1062793112176296195', '1062793112201462020', '1062793110649569453', '1062793110683123887', '1062793110666346670', '1062793110632792236', '1062793110414688415', '1062793110397911198', '1062793110381133981', '1062793110364356764', '1062793110750232755', '1062793110733455538', '1062793110716678321', '1062793110699901104', '1062793112260182280', '1062793112226627846', '1062793112243405063', '1062793110246916245', '1062793110230139028', '1062793110263693462', '1062793110280470679', '1062793109793931386', '1062793109777154169', '1062793109751988344', '1062793109810708603', '1062793109617770608', '1062793109659713650', '1062793109634547825', '1062793109676490867', '1062793110465020066', '1062793110481797283', '1062793110431465632', '1062793110448242849', '1062793110045589641', '1062793110079144075', '1062793110062366858', '1062793110028812424', '1062793110850896057', '1062793110892839099', '1062793110867673274', '1062793110834118840', '1062793110582460585', '1062793110599237802', '1062793110616015019', '1062793110565683368', '1062793112134353152', '1062793111891083506', '1062793111874306289', '1062793111857529072', '1062793111823974638', '1062793111916249331', '1062793112042078458', '1062793112025301241', '1062793112008524024', '1062793111991746807', '1062793111966580982', '1062793111949803765', '1062793111933026548', '1062793111840751855', '1062793112151130369', '1062793112167907586', '1062793110314025113', '1062793110347579547', '1062793110330802330', '1062793110297247896'],
                //   'maxConcurrentSessions': 50
                // };
                //
                // const filter = {
                //   'tenant': true
                // };
                // console.log(await mgmt.rbac.create(data, filter));
                // console.log(await mgmt.firewallControl.createNetworkQuarantineRule({ tenant: true }, {
                //   name: 'hjhjjjhh',
                //   action: 'Allow',
                //   application: { type: 'path', values: ['jjkrrr'] },
                //   direction: 'inbound',
                //   osTypes: [OsTypes.Windows],
                //   status: 'Disabled'
                // }));
                // const authRes = await mgmt.authenticator.authenticate({
                //   method: AuthMethodsTypes.Login,
                //   data: configurationObject.auth.by.login
                // });
                // console.log(mgmt.threats.mitigateThreat(MitigateActions.kill, { contentHashes: ['1111fff'] }));
                // console.log(authRes);
                // mgmt.system.update({}, { uiInactivityTimeoutSeconds: 3000 });
                // console.log(mgmt.threats.addToBlackList({targetScope: "site"}, {contentHash: "d9b7aabab57b685c74fd967e6c43ec7f4b472ac7"}));
                // const account: CreateAccountRequest = {
                //   name: 'newSDKAccount',
                //   skus: [
                //     {
                //       suite: 'Complete',
                //       totalLicenses: 0,
                //       unlimited: true
                //     }
                //   ],
                //   inherits: true,
                //   user: {
                //     fullName: 'full name',
                //     password: 'Sentinel1!',
                //     email: 's@s.com'
                //   },
                //   accountSfId: 'blan1222'
                // };
                //
                // console.log(mgmt.accounts.create(account));
                // const mgmt = Management.getInstance('https:usea1-vadim-accs3.sentinelone.net');
                // console.log(
                //   await mgmt.authenticator.authenticate({
                //     method: AuthMethodsTypes.Login,
                //     data: { username: 'admin@usea1-vadim-accs3.sentinelone.net', password: 'Sentinel1!' }
                //   })
                // );
            }
            catch (e) {
                throw new Error(e);
            }
            return [2 /*return*/];
        });
    });
})().catch(function (err) {
    console.log('error');
    console.log(JSON.stringify(err));
});
process.on('unhandledRejection', function (err) {
    console.warn('unhandledRejection (caught in mgmt sdk) --> ', JSON.stringify(err));
});
process.on('rejectionHandled', function (err) {
    console.warn('rejectionHandled (caught in mgmt sdk) --> ', JSON.stringify(err));
});
//# sourceMappingURL=index.js.map