/**
 * Base Create Filter
 * Contains query params that can be used inside the SDKRequest(interface)
 * Regarding creation <Entity> filters
 */
export interface BaseCreateFilter {
    createdAt?: string;
    createdAt__gt?: string;
    createdAt__gte?: string;
    createdAt__lt?: string;
    createdAt__lte?: string;
}
