import { HttpMethod } from '../../enums/http-method';
/**
 * SDKRespond
 *
 * @export
 * @interface SDKRespond
 */
export interface SDKRespond {
    url: string;
    respondData: any;
    apiRequest: {
        method: HttpMethod;
        headers: any;
        body?: any;
        data?: any;
        params?: any;
        agent?: any;
    };
    status: number | string | null;
}
